Package org.h2gis.functions.io.overpass

## Class ST_OverpassDownloader

- java.lang.Object
- - org.h2gis.api.AbstractFunction
  - - org.h2gis.functions.io.overpass.ST_OverpassDownloader

All Implemented Interfaces:
  `org.h2gis.api.Function`, `org.h2gis.api.ScalarFunction`

    public class ST_OverpassDownloader
    extends org.h2gis.api.AbstractFunction
    implements org.h2gis.api.ScalarFunction

A function to extract data from Overpass api and save it into a file

Author:
  E. Bocher, CNRS

### Field Summary

### Fields inherited from interface org.h2gis.api.Function

`PROP_NAME, PROP_REMARKS`

### Fields inherited from interface org.h2gis.api.ScalarFunction

`PROP_DETERMINISTIC`

### Constructor Summary

Constructors
`ST_OverpassDownloader()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static void` `execute​(String overpassQuery, String fileName)` Extract OSM DATA
`static void` `execute​(String overpassQuery, String fileName, boolean deleteFile)` Extract OSM DATA
`static void` `execute​(String overpassQuery, String fileName, boolean deleteFile, String options)` Extract OSM DATA
`String` `getJavaStaticMethod()`

### Methods inherited from class org.h2gis.api.AbstractFunction

`addProperty, getProperty, removeProperty`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.h2gis.api.Function

`getProperty`

### Constructor Detail

#### ST_OverpassDownloader

    public ST_OverpassDownloader()

### Method Detail

#### getJavaStaticMethod

    public String getJavaStaticMethod()

Specified by:
  `getJavaStaticMethod` in interface `org.h2gis.api.ScalarFunction`

#### execute

    public static void execute​(String overpassQuery,
                               String fileName)
                        throws Exception

Extract OSM DATA

Parameters:
  `overpassQuery` - the overpass query
  `fileName` - the output file
Throws:
  `Exception`

#### execute

    public static void execute​(String overpassQuery,
                               String fileName,
                               boolean deleteFile)
                        throws Exception

Extract OSM DATA

Parameters:
  `overpassQuery` - the overpass query
  `fileName` - the output file
  `deleteFile` - true to delete the file if exists
Throws:
  `Exception`

#### execute

    public static void execute​(String overpassQuery,
                               String fileName,
                               boolean deleteFile,
                               String options)
                        throws Exception

Extract OSM DATA

Parameters:
  `overpassQuery` - the overpass query
  `fileName` - the output file
  `deleteFile` - true to delete the file if exists
  `options` - network options as proxyhost=? proxyport=? endpoint=?
Throws:
  `Exception`